# $Revision: 1.80 $, $Date: 2011/12/12 16:23:43 $
Summary:	Z39.50 protocol support library
Summary(pl.UTF-8):	Biblioteka obsługująca protokół Z39.50
Name:		yaz
Version:	4.2.22
Release:	1
License:	BSD-like
Group:		Libraries
Source0:	http://ftp.indexdata.dk/pub/yaz/%{name}-%{version}.tar.gz
# Source0-md5:	b28ecda4073a950a1f915829475e5238
URL:		http://www.indexdata.dk/yaz/
BuildRequires:	autoconf >= 2.60
BuildRequires:	automake >= 1:1.9
BuildRequires:	bison
BuildRequires:	libicu-devel >= 3.4
BuildRequires:	libtool >= 1:1.4.2-9
BuildRequires:	libwrap-devel
BuildRequires:	libxml2-devel >= 2.0
BuildRequires:	libxslt-devel >= 1.1.0
BuildRequires:	openssl-devel >= 0.9.7d
BuildRequires:	pkgconfig
BuildRequires:	readline-devel >= 5.0
BuildRequires:	tcl
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
YAZ is a C library for developing client - and server applications
using the ANSI/NISO Z39.50 protocol for Information Retrieval.

%description -l pl.UTF-8
YAZ to biblioteka w C do tworzenia aplikacji klienckich i serwerów
korzystających z protokołu ANSI/NISO Z39.50 do uzyskiwania informacji.

%package devel
Summary:	Header files for YAZ library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki YAZ
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	libwrap-devel
Requires:	libxml2-devel >= 2.0
Requires:	libxslt-devel >= 1.1.0
Requires:	openssl-devel >= 0.9.7d

%description devel
Header files for YAZ library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki YAZ.

%package static
Summary:	YAZ static libraries
Summary(pl.UTF-8):	Statyczne biblioteki YAZ
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
YAZ static libraries.

%description static -l pl.UTF-8
Statyczne biblioteki YAZ.

%prep
%setup -q

%build
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__automake}
%configure \
	--enable-shared \
	--enable-tcpd \
	--with-openssl

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	docDATA_INSTALL="install -p" \
	DESTDIR=$RPM_BUILD_ROOT

mv -f $RPM_BUILD_ROOT%{_docdir}/yaz doc-dist

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc ChangeLog LICENSE NEWS README
%attr(755,root,root) %{_bindir}/yaz-asncomp
%attr(755,root,root) %{_bindir}/yaz-client*
%attr(755,root,root) %{_bindir}/yaz-iconv
%attr(755,root,root) %{_bindir}/yaz-icu
%attr(755,root,root) %{_bindir}/yaz-illclient
%attr(755,root,root) %{_bindir}/yaz-json-parse
%attr(755,root,root) %{_bindir}/yaz-marcdump
%attr(755,root,root) %{_bindir}/yaz-url
%attr(755,root,root) %{_bindir}/yaz-ztest*
%attr(755,root,root) %{_bindir}/zoomsh
%attr(755,root,root) %{_libdir}/libyaz.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libyaz.so.4
%attr(755,root,root) %{_libdir}/libyaz_icu.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libyaz_icu.so.4
%attr(755,root,root) %{_libdir}/libyaz_server.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libyaz_server.so.4
%dir %{_datadir}/yaz
%{_datadir}/yaz/etc
%{_datadir}/yaz/ill
%{_datadir}/yaz/z39.50
%{_mandir}/man1/yaz-asncomp.1*
%{_mandir}/man1/yaz-client*.1*
%{_mandir}/man1/yaz-iconv.1*
%{_mandir}/man1/yaz-icu.1*
%{_mandir}/man1/yaz-illclient.1*
%{_mandir}/man1/yaz-json-parse.1*
%{_mandir}/man1/yaz-marcdump.1*
%{_mandir}/man1/yaz-url.1*
%{_mandir}/man1/zoomsh.1*
%{_mandir}/man7/bib1-attr.7*
%{_mandir}/man7/yaz.7*
%{_mandir}/man7/yaz-log.7*
%{_mandir}/man8/yaz-ztest*.8*

%files devel
%defattr(644,root,root,755)
%doc doc-dist/* 
%attr(755,root,root) %{_bindir}/yaz-config
%attr(755,root,root) %{_libdir}/libyaz.so
%attr(755,root,root) %{_libdir}/libyaz_icu.so
%attr(755,root,root) %{_libdir}/libyaz_server.so
%{_libdir}/libyaz.la
%{_libdir}/libyaz_icu.la
%{_libdir}/libyaz_server.la
%{_includedir}/yaz
%{_pkgconfigdir}/yaz.pc
%{_aclocaldir}/yaz.m4
%{_mandir}/man1/yaz-config.1*

%files static
%defattr(644,root,root,755)
%{_libdir}/libyaz.a
%{_libdir}/libyaz_icu.a
%{_libdir}/libyaz_server.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: yaz.spec,v $
Revision 1.80  2011/12/12 16:23:43  qboosh
- updated to 4.2.22

Revision 1.79  2011/11/11 09:22:17  qboosh
- updated to 4.2.20

Revision 1.78  2011/10/30 14:34:19  qboosh
- updated to 4.2.18

Revision 1.77  2011/10/14 15:52:21  qboosh
- updated to 4.2.17

Revision 1.76  2011/10/09 10:24:00  arekm
- release 2

Revision 1.75  2011/09/25 11:39:12  qboosh
- updated to 4.2.16

Revision 1.74  2011/08/12 17:18:59  qboosh
- updated to 4.2.8

Revision 1.73  2011/06/21 16:44:24  qboosh
- updated to 4.2.4

Revision 1.72  2011/06/12 13:56:57  qboosh
- updated to 4.2.2

Revision 1.71  2011/06/09 21:08:36  marti
- up to 4.2.1

Revision 1.70  2011/05/27 18:45:03  qboosh
- updated to 4.2.0

Revision 1.69  2011/03/20 18:05:53  arekm
- release 2

Revision 1.68  2011/03/19 13:11:46  qboosh
- updated to 4.1.7

Revision 1.67  2011/03/12 11:27:17  qboosh
- updated to 4.1.6

Revision 1.66  2011/03/06 07:08:44  qboosh
- updated to 4.1.4

Revision 1.65  2011/01/28 17:36:55  qboosh
- updated to 4.1.3

Revision 1.64  2010/11/14 14:23:50  qboosh
- updated to 4.1.2 (new sonames)
- removed obsolete libwrap-fix patch

Revision 1.63  2010/11/13 12:09:45  pawelz
- release 5

Revision 1.62  2010/04/12 19:31:57  arekm
- release 4

Revision 1.61  2010/03/08 12:56:07  hawk
- release 3

Revision 1.60  2009/09/22 15:36:13  glen
- fix doc install

Revision 1.59  2009/05/03 15:43:29  hawk
- release 2

Revision 1.58  2009/03/27 06:38:52  qboosh
- verbose libs, ghost soname symlinks
- revised deps

Revision 1.57  2009/02/26 20:23:05  duddits
- up to 3.0.44
- pcap.patch dropped (no longer depends on libpcap, see ChangeLog for
  details)
- libwrap-fix.patch updated
- BR: pkgconfig
- BR: libpcap-devel dropped
- more %files

Revision 1.56  2009/02/23 22:09:29  arekm
- release 2

Revision 1.55  2007/02/18 19:39:27  qboosh
- updated to 2.1.48
- added pcap patch to use shared libpcap for ziffy

Revision 1.54  2007/02/12 22:09:25  glen
- tabs in preamble

Revision 1.53  2007/02/12 01:06:41  baggins
- converted to UTF-8

Revision 1.52  2006/11/30 21:00:12  qboosh
- updated to 2.1.40

Revision 1.51  2006/11/14 22:12:32  qboosh
- updated to 2.1.38

Revision 1.50  2006/10/18 21:09:01  qboosh
- updated to 2.1.36

Revision 1.49  2006/10/06 21:59:36  qboosh
- updated to 2.1.34

Revision 1.48  2006/10/01 11:29:28  arekm
- rebuild

Revision 1.47  2006/09/11 20:01:07  qboosh
- updated to 2.1.28

Revision 1.46  2006/08/23 09:34:44  qboosh
- updated to 2.1.26

Revision 1.45  2006/08/09 20:15:30  arekm
- rel 2

Revision 1.44  2006/07/22 14:12:13  qboosh
- updated to 2.1.22, updated libwrap-fix patch

Revision 1.43  2006/05/21 22:52:42  qboosh
- updated to 2.1.18

Revision 1.42  2006/04/05 05:24:25  qboosh
- updated to 2.1.16, updated libwrap-fix patch

Revision 1.41  2006/03/19 11:17:59  qboosh
- updated to 2.1.14

Revision 1.40  2006/02/03 18:40:08  qboosh
- updated to 2.1.12

Revision 1.39  2005/12/03 20:24:57  qboosh
- updated to 2.1.10, removed obsolete link patch

Revision 1.38  2005/09/17 10:22:58  arekm
- rebuild with readline 5.0

Revision 1.37  2005/06/12 20:52:14  qboosh
- updated to 2.1.8

Revision 1.36  2005/04/30 00:04:31  qboosh
- updated to 2.1.4

Revision 1.35  2005/02/14 14:59:39  czucz
- updated to 2.0.34

Revision 1.34  2005/01/16 18:14:12  czucz
- updated to 2.0.32

Revision 1.33  2005/01/07 18:53:19  qboosh
- updated to 2.0.30

Revision 1.32  2004/11/22 22:58:40  qboosh
- updated to 2.0.28, updated libwrap-fix patch

Revision 1.31  2004/10/15 18:37:03  darekr
- updated to 2.0.26

Revision 1.30  2004/08/14 16:25:49  misi3k
- updated to 2.0.23

Revision 1.29  2004/08/07 13:20:24  qboosh
- updated to 2.0.22

Revision 1.28  2004/05/16 07:29:03  qboosh
- updated to 2.0.21, updated patches

Revision 1.27  2004/04/20 05:59:22  qboosh
- updated to 2.0.19

Revision 1.26  2004/03/19 23:46:39  ankry
- massive change: BR openssl-devel >= 0.9.7d

Revision 1.25  2004/03/01 21:36:02  qboosh
- updated to 2.0.15, strict internal deps

Revision 1.24  2004/02/08 23:43:59  qboosh
- updated to 2.0.10

Revision 1.23  2004/01/07 20:56:59  qboosh
- updated to 2.0.9

Revision 1.22  2003/12/23 14:28:20  eothane
- updated to 2.0.8

Revision 1.21  2003/12/17 23:23:39  qboosh
- updated to 2.0.7

Revision 1.20  2003/12/07 10:37:43  qboosh
- updated to 2.0.6, updated patches

Revision 1.19  2003/09/30 20:18:37  eothane
- ahh, what the hell: openssl 0.9.7c

Revision 1.18  2003/09/07 00:57:38  qboosh
- updated to 2.0.4

Revision 1.17  2003/07/19 23:57:25  qboosh
- 2.0.3

Revision 1.16  2003/05/26 16:25:53  malekith
- massive attack: adding Source-md5

Revision 1.15  2003/05/25 06:28:43  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.14  2003/05/12 22:20:14  qboosh
- up to 2.0.2, updated link patch

Revision 1.13  2003/03/11 11:59:51  qboosh
- updated to 2.0, added libtoolize

Revision 1.12  2003/02/13 14:06:58  juandon
- force to use openssl >= 0.9.7, idea by kloczek

Revision 1.11  2003/01/02 20:54:36  qboosh
- added link patch

Revision 1.10  2003/01/02 14:32:54  qboosh
- updated to 1.9.2, updated libwrap-fix patch

Revision 1.9  2002/11/25 14:18:47  ankry
- massive attack: no need for 755 for *.la

Revision 1.8  2002/10/09 13:14:52  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.7  2002/09/07 21:02:27  qboosh
- updated to 1.8.8, new %%doc

Revision 1.6  2002/05/22 14:19:11  klark
- update to 1.8.7

Revision 1.5  2002/05/21 23:15:09  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.4  2002/05/15 06:53:26  kloczek
- move gzipping %doc to %build (make spec --short-circuit ready).

Revision 1.3  2002/05/15 06:05:58  misiek
- allow it to compile on both rpms

Revision 1.2  2002/05/04 19:30:11  kloczek
- "rm -f missing" on top %build.

Revision 1.1  2002/05/03 17:34:38  qboosh
- new; spec taken from original archive and rewritten
